<form class="c-form {{spaceAfter}}">

    <!-- input text examples -->
    <fieldset class="c-form__fieldset">
        <legend class="c-form__legend u-typo:l">{{fieldsetLegend}}</legend>

        {{render '@form-field-input' inputNoDecriptionData merge=true}}

        {{render '@form-field-input' inputData merge=true}}

        {{render '@form-field-input' inputIconData merge=true}}

        {{render '@form-field-input' inputHiddenLabelData merge=true}}

        {{render '@form-field-input' inputErrorData merge=true}}

        {{render '@form-field-input' inputValidData merge=true}}

        {{render '@form-required'}}

        <div class="c-form__group">
            {{render '@button' buttonSubmitData merge=true}}
            {{render '@button' buttonResetData merge=true}}
        </div>
    </fieldset>


    <!-- select/ textarea example -->
    <fieldset class="c-form__fieldset">
        <legend class="c-form__legend u-typo:l">{{fieldsetLegend}}</legend>

        {{render '@form-field-select'}}

        {{render '@form-field-textarea'}}

        {{render '@form-text'}}

        {{render '@form-required'}}

        <div class="c-form__group">
            {{render '@button' buttonSubmitData merge=true}}
            {{render '@button' buttonResetData merge=true}}
        </div>
    </fieldset>


    <!-- checkbox/ radio button example -->
    <fieldset class="c-form__fieldset">
        <legend class="c-form__legend u-typo:l">{{fieldsetLegend}}</legend>

        {{render '@form-field-checkbox'}}

        {{render '@form-field-radio'}}

        {{> '@form-field-checkbox' singleCheckbox=true}}

        <div class="c-form__group">
            {{render '@button' buttonSubmitData merge=true}}
            {{render '@button' buttonResetData merge=true}}
        </div>
    </fieldset>

</form>
